import { OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IErrorRes } from '../../../types/responses/AuthError';
import * as i0 from "@angular/core";
export declare class ProfileBaseComponent implements OnInit {
    protected authService: AuthService;
    protected translate: TranslateService;
    private userObj;
    private oldUserObj;
    formGroup: UntypedFormGroup;
    passwordFormGroup: UntypedFormGroup;
    error: IErrorRes;
    constructor(authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    /**
     * Update UserData if changed
     */
    update(): void;
    /**
     * Update password if changed
     * and confirmed
     */
    updatePassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileBaseComponent, "strapi-profile-base", never, {}, {}, never, never, false>;
}
